import React, { useState } from 'react'
import EditImage from './EditImage';

const MenuItemForm = ({handleMenuFormSubmit, menuItem}) => {
    const [menuImg, setMenuImg] = useState(menuItem?.menuImg || '');
    const [itemName, setItemName] = useState(menuItem?.itemName || '');
    const [description, setDescription] = useState(menuItem?.description || '');
    const [basePrice, setBasePrice] = useState(menuItem?.basePrice || '');



  return (
    <form className='mt-10' onSubmit={ev => handleMenuFormSubmit(ev, {menuImg, itemName, description, basePrice})}>
        <div className='flex flex-col gap-2 justify-center items-center max-w-[100px] mx-auto mb-5'>
            <EditImage link={menuImg} setLink={setMenuImg}/>
        </div>
        <div>
            <label className='-mb-1 text-gray-700 font-semibold text-sm flex'>Item name</label>
            <input type='text' placeholder='Enter items name' value={itemName} onChange={ev => setItemName(ev.target.value)}/>
        </div>
        <div>
            <label className='-mb-1 text-gray-700 font-semibold text-sm flex'>Description</label>
            <input type='text' placeholder='Enter discription' value={description} onChange={ev => setDescription(ev.target.value)}/>
        </div>
        <div>
            <label className='-mb-1 text-gray-700 font-semibold text-sm flex'>Price</label>
            <input type='text' placeholder='Enter base price' value={basePrice} onChange={ev => setBasePrice(ev.target.value)}/>
        </div>
        <button type='submit' className='w-full bg-pink-500 text-white p-2 rounded-md hover:opacity-80 duration-300'>Save</button>
    </form>
  )
}

export default MenuItemForm